# ---------------------------------------------------
#
# Play GreenScript Plugin SAMPLE Configuration File
#
# version 1.2, 2010-10-17
# by greenlaw110@gmail.com
# ---------------------------------------------------

# Uncomment the following line to load greenscript module
# make sure you replace "xxx" with correct version number
# module.greenscript=${play.path}/modules/greenscript-xxx

#
# Dir Path Settings
# 
# 	the dir path refers to file system path
#	which is used by GreenScript to locate 
#	files
#
#	Dir path start from the root of your
#	application
# 
# Default dir.js point to /public/javascripts
# greenscript.dir.js=/public/javascripts
#
# Default dir.css point to /public/stylesheets
# greenscript.dir.css=/public/stylesheets
#
# minimized folder stores the minimized files
# Default gs folder point to /public/gs
# greenscript.dir.minimized=/public/gs

#
# URL path Settings
#
#	the url path is used by GreenScript to
#	output js/css path in html page
#
#	Usually, following Play convention of routing
#	you don't need to provides the URL path
#	setting as they will reuse dir settings. 
#	However, if you have mapped shortcut in your
#	route file for js/css like what I have done
#	in this demo application, you are encouraged
#	to override dir settings for url path setting 
#	here.
#
# 	js/css url setting is used only when you turned
#	off minimize, in which case, GreenScript will
#	output links refer your original js/css files
# greenscript.url.js=/public/javascripts
# greenscript.url.css=/public/stylesheets
#	minimized url setting is used only when you turned on
#	minimize, in which case, GreenScript will output
#	links refer to the compressed(minizied) files
# greenscript.url.minimized=/public/gs

#
# Minimize settings
#

# Enable/Disable minimize
# 	Once minimize disabled, GreenScript will output the original javascript/css
# 	files without any processing. However, the order of the files is guaranteed
#	to follow the dependency graph you have defined in "greenscript.conf" file
#
#	When minimize turned on, GreenScript will merge all javascript/css files
#	within one HTTP request into a single file. Again the merge order is 
#	guaranteed to follow the dependency graph you have defined in the
#	"greenscript.conf" file
#
#	Note if you turn off minimize, the rest 2 settings (compress, cache) will
#	not function whatever the value they are
#
# By Default minimize is turned on in prod mode and turned off in dev mode
# greenscript.minimize=false

# Enable/Disable compress
#	Once compress is enabled, GreenScript will compress the javascript/css files
#	while doing the merge operation.
#
# By default compress is turned on without regarding to play dev mode
#
# it is recommeded to let this option turning on for anytime as this option
# will not effect when greenscript.minimize is turned off
# greenscript.compress=true

# Enable/Disable cache
#	Once cache is turned on, GreenScript will try best to reuse the processed
#	file instead of repeat the merge/compress process.
#
# By default cache is turned on without regarding to play dev mode
#
# it is recommeded to let this option turning on for anytime as this option
# will not effect when greenscript.minimize is turned off
#
# it is highly encouraged to turn on cache in a product environment. turn off
# cache while turn on minimize will result strange behavior like 404 error
# greenscript.cache=true

# Enable/Disable LESS
# when enabled greenscript will compile css using less
# default: false
# greenscript.less.enabled=true

# Configure for product mode
%prod.application.mode=prod
%prod.greenscript.minimize=true
%prod.greenscript.compress=true
%prod.greenscript.cache=true
